Package tigase.component

# Class DSLBeanConfigurator

java.lang.Object
tigase.kernel.beans.config.AbstractBeanConfigurator
tigase.component.DSLBeanConfigurator

All Implemented Interfaces:
  `BeanConfigurator`

Direct Known Subclasses:
  `DSLBeanConfiguratorWithBackwardCompatibility`

@Bean(name="defaultBeanConfigurator", active=true) public class DSLBeanConfigurator extends AbstractBeanConfigurator
Created by andrzej on 11.08.2016.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class tigase.kernel.beans.config.AbstractBeanConfigurator

  `AbstractBeanConfigurator.BeanDefinition`

- ## Field Summary

  ### Fields inherited from class tigase.kernel.beans.config.AbstractBeanConfigurator

  `defaultTypesConverter, kernel`

  ### Fields inherited from interface tigase.kernel.beans.config.BeanConfigurator

  `DEFAULT_CONFIGURATOR_NAME`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DSLBeanConfigurator()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `dumpConfiguration(File f)`
  `void`
  `dumpConfiguration(Writer writer)`
  `protected Map<String,Object>`
  `getBeanConfigurationProperties(BeanConfig beanConfig, Map<String,String> aliasesToFields)`
  `protected Map<String,AbstractBeanConfigurator.BeanDefinition>`
  `getBeanDefinitions(Map<String,Object> values)`
  Method returns map of bean definitions found in the configuration
  `ConfigHolder`
  `getConfigHolder()`
  `Map<String,Object>`
  `getConfiguration(BeanConfig beanConfig)`
  Method returns configuration of a bean.
  `protected Map<String,String>`
  `getFieldAliasses(BeanConfig beanConfig)`
  `Map<String,Object>`
  `getProperties()`
  Method returns current configuration map.
  `protected boolean`
  `hasDirectConfiguration(BeanConfig beanConfig)`
  `void`
  `setConfigHolder(ConfigHolder config)`
  `void`
  `setProperties(Map<String,Object> props)`

  ### Methods inherited from class tigase.kernel.beans.config.AbstractBeanConfigurator

  `configurationChanged, configure, configure, getBeanClassesFromAnnotations, getBeanConfigPath, getDefaultTypesConverter, getKernel, grabCurrentConfig, grabDefaultConfig, isAccessToAllFields, isBeanClassRegisteredInParentKernel, mergeWithBeansPropertyValue, refreshConfiguration, refreshConfiguration_removeUndefinedBeans, refreshConfiguration_updateConfiguration, registerBeans, registerBeansForBeanOfClass, registerBeansForBeanOfClass, registerBeansForBeanOfClassGetBeansToRegister, registerBeansForBeanOfClassShouldRegister, restoreDefaults, setAccessToAllFields, setDefaultTypesConverter, setKernel`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DSLBeanConfigurator

    public DSLBeanConfigurator()

- ## Method Details

  - ### getConfiguration

    public Map<String,Object> getConfiguration(BeanConfig beanConfig)
    Description copied from class: `AbstractBeanConfigurator`
    Method returns configuration of a bean.
    Specified by:
      `getConfiguration` in class `AbstractBeanConfigurator`

  - ### getProperties

    public Map<String,Object> getProperties()
    Description copied from class: `AbstractBeanConfigurator`
    Method returns current configuration map.
    Specified by:
      `getProperties` in class `AbstractBeanConfigurator`

  - ### setProperties

    public void setProperties(Map<String,Object> props)

  - ### getConfigHolder

    public ConfigHolder getConfigHolder()

  - ### setConfigHolder

    public void setConfigHolder(ConfigHolder config)

  - ### dumpConfiguration

    public void dumpConfiguration(File f) throws IOException
    Throws:
      `IOException`

  - ### dumpConfiguration

    public void dumpConfiguration(Writer writer) throws IOException
    Throws:
      `IOException`

  - ### hasDirectConfiguration

    protected boolean hasDirectConfiguration(BeanConfig beanConfig)
    Specified by:
      `hasDirectConfiguration` in class `AbstractBeanConfigurator`

  - ### getBeanConfigurationProperties

    protected Map<String,Object> getBeanConfigurationProperties(BeanConfig beanConfig, Map<String,String> aliasesToFields)

  - ### getFieldAliasses

    protected Map<String,String> getFieldAliasses(BeanConfig beanConfig)

  - ### getBeanDefinitions

    protected Map<String,AbstractBeanConfigurator.BeanDefinition> getBeanDefinitions(Map<String,Object> values)
    Description copied from class: `AbstractBeanConfigurator`
    Method returns map of bean definitions found in the configuration
    Overrides:
      `getBeanDefinitions` in class `AbstractBeanConfigurator`
    Parameters:
      `values` - configuration map